Create New Conversation
Creating a conversation in chatwoot requires a source id.
Learn more about source_id: https://www.chatwoot.com/hc/user-guide/articles/1677839703-how-to-create-an-api-channel-inbox#send-messages-to-the-api-channel
AuthorizationBearer <token>Authenticate with Authorization: Bearer <token> using a user API token from Profile Settings. Available in Chatwoot v4.19.0 and later.
account_id*integerThe numeric ID of the account
application/json- body
source_id*stringConversation source id
inbox_id?integerId of inbox in which the conversation is created Allowed Inbox Types: Website, Phone, Api, Email
contact_id?integerContact Id for which conversation is created
additional_attributes?Lets you specify attributes like browser information
custom_attributes?The object to save custom attributes for conversation, accepts custom attributes key and value
status?stringSpecify the conversation whether it's pending, open, closed
"open""resolved""pending"assignee_id?integerAgent Id for assigning a conversation to an agent
team_id?integerTeam Id for assigning a conversation to a team\
snoozed_until?stringSnoozed until date time
date-timemessage?The initial message to be sent to the conversation
Success
application/json- response
id?numberID of the conversation
account_id?numberAccount Id
inbox_id?numberID of the inbox
curl -X POST 'https://helpdesk.inclamo.com/api/v1/accounts/0/conversations' \ -H 'Content-Type: application/json' \ -d '{ "source_id": "string"}'{ "id": 0, "account_id": 0, "inbox_id": 0}